Summary:        Hatch plugin for writing fancy PyPI readmes
Name:           python-hatch-fancy-pypi-readme
Version:        23.1.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/hynek/hatch-fancy-pypi-readme
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description 
This provides a Hatch metadata plugin for everyone who cares about the
first impression of their project’s PyPI landing page. It allows you to
define your PyPI project description in terms of concatenated fragments
that are based on static strings, files, and most importantly: parts of
files defined using cut-off points or regular expressions.

%package -n python3-hatch-fancy-pypi-readme
Summary:        Hatch plugin for writing fancy PyPI readmes

%description -n python3-hatch-fancy-pypi-readme 
This provides a Hatch metadata plugin for everyone who cares about the
first impression of their project’s PyPI landing page.


%prep
%autosetup -n hatch-fancy-pypi-readme-%{version} -p1
sed -i 's/ \"pytest-icdiff\", \"coverage\[toml\]\", //g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hatch_fancy_pypi_readme

%check
%pytest -v -k "not test_end_to_end"

%files -n python3-hatch-fancy-pypi-readme -f %{pyproject_files}
%license LICENSE.txt
%license %{python3_sitelib}/hatch_fancy_pypi_readme-%{version}.dist-info/licenses/
%doc README.md
%{_bindir}/hatch-fancy-pypi-readme

%changelog
* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 23.1.0-1
- Bump version to 23.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Feng Weiyao <wynnfeng@tencent.com> - 22.3.0-1
- package init.
